org.apache.olingo.commons.api.edm.annotation

## Interface EdmExpression

- All Known Subinterfaces:
    EdmAnd, EdmAnnotationPath, EdmApply, EdmCast, EdmCollection, EdmConstantExpression, EdmDynamicExpression, EdmEq, EdmGe, EdmGt, EdmIf, EdmIsOf, EdmLabeledElement, EdmLabeledElementReference, EdmLe, EdmLogicalOrComparisonExpression, EdmLt, EdmNavigationPropertyPath, EdmNe, EdmNot, EdmNull, EdmOr, EdmPath, EdmPropertyPath, EdmRecord, EdmUrlRef

      public interface EdmExpression

  Super type of all annotation expressions A expression is either constant or dynamic

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmConstantExpression` | `asConstant()` Casts the expression to `EdmConstantExpression`
    `EdmDynamicExpression` | `asDynamic()` Cast the expression to `EdmDynamicExpression`
    `String` | `getExpressionName()` Will return the name of the expression e.g.
    `EdmExpression.EdmExpressionType` | `getExpressionType()` See `EdmExpression.EdmExpressionType` for details.
    `boolean` | `isConstant()` Return true if the expression is constant
    `boolean` | `isDynamic()` Return true if the expression is dynamic

- - ### Method Detail

    - #### getExpressionType

          EdmExpression.EdmExpressionType getExpressionType()

      See `EdmExpression.EdmExpressionType` for details.
      Returns:
        the type of this expression

    - #### getExpressionName

          String getExpressionName()

      Will return the name of the expression e.g. Apply or Cast.
      Returns:
        the name of the expression

    - #### isConstant

          boolean isConstant()

      Return true if the expression is constant
      Returns:
        true if the expression is constant

    - #### asConstant

          EdmConstantExpression asConstant()

      Casts the expression to `EdmConstantExpression`
      Returns:
        Constant Expression

    - #### isDynamic

          boolean isDynamic()

      Return true if the expression is dynamic
      Returns:
        true if the expression is dynamic

    - #### asDynamic

          EdmDynamicExpression asDynamic()

      Cast the expression to `EdmDynamicExpression`
      Returns:
        Dynamic Expression

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.